# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp/Always.pm) perl(Encode.pm) perl(Exception/Class.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(File/Temp.pm) perl(JSON/XS.pm) perl(LWP/UserAgent.pm) perl(Log/Log4perl.pm) perl(MIME/Base64.pm) perl(Modern/Perl.pm) perl(Params/Validate.pm) perl(Test/Exception.pm) perl(Test/MockModule.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Pootle-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Pootle API Client library
Group: Development/Perl
License: perl
URL: https://github.com/KohaSuomi/Pootle-Client/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KIVILAHTI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $papi = Pootle::Client->new({
                  baseUrl => 'http://translate.example.com',
                  credentials => 'username:password' || 'credentials.txt'}
    );
    my $languages = $papi->languages();
    my $trnsProjs = $papi->searchTranslationProjects(
                       $languages,
                       Pootle::Filters->new({fullname => qr/^Project name/})
    );

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

